Get billing cycle information for a specific domain

Retrieve details about different billing periods for a domain, including registration and renewal prices. It returns a `domainId` for subsequent calls like GET /api/domains/{domainId}/dyndns.

Domain Services Domains

Context

Path Parameters

id integer · min: 1 required Example: 4737

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.current string required · Example: 2
data.domainId string required · Example: 4737
data.domainName string required · Example: example.com
data.periods array<object> required · Example: [{"id":"1","years":1,"registerPrice":"99.00","renewPrice":"169.00","transferPrice":"0.0...
data.periods[].id string required · Example: 1
data.periods[].isCurrent boolean required · Example: false
data.periods[].registerPrice string · enum required · Example: 99.00
268.00
437.00
99.00
data.periods[].renewPrice string · enum required · Example: 169.00
169.00
338.00
507.00
data.periods[].transferPrice string · enum required · Example: 0.00
-1.00
0.00
data.periods[].years integer required · Example: 1
data.productId string required · Example: 203
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

date_created string required · Example: 2026-02-10 00:00:00
error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

existing_invoice boolean required · Example: true
invoice_id string required · Example: 40995
invoice_status string · enum required · Example: cancelled
cancelled
unpaid
message string required · Example: Hello! I have a question about my account.\n\nThanks!

Human-readable message.

order_id string required · Example: 29200
order_number string required · Example: 915716849
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

total string · enum required · Example: 3527.50
3527.50
422.50
GET https://cloud.hostup.se/api/domains/{id}/billing-cycle
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domains/4737/billing-cycle" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "current": "2",
    "periods": [
      {
        "id": "1",
        "years": 1,
        "registerPrice": "99.00",
        "renewPrice": "169.00",
        "transferPrice": "0.00",
        "isCurrent": false
      },
      {
        "id": "2",
        "years": 2,
        "registerPrice": "268.00",
        "renewPrice": "338.00",
        "transferPrice": "-1.00",
        "isCurrent": true
      },
      {
        "_truncated": "... and 1 more items"
      }
    ],
    "domainId": "4737",
    "domainName": "example.com",
    "productId": "203"
  }
}